Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.functors
Class ConstantFactory

    java.lang.Object
      org.apache.commons.collections.functors.ConstantFactory

All Implemented Interfaces:
  java.io.Serializable, Factory

    public class ConstantFactory

extends java.lang.Object
implements Factory, java.io.Serializable

Factory implementation that returns the same constant each time.

No check is made that the object is immutable. In general, only immutable objects should use the constant factory. Mutable objects should use the prototype factory.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Field Summary
`static Factory` | `NULL_INSTANCE` Returns null each time

Constructor Summary
`ConstantFactory(java.lang.Object constantToReturn)` Constructor that performs no validation.

Method Summary
`java.lang.Object` | `create()` Always return constant.
`java.lang.Object` | `getConstant()` Gets the constant.
`static Factory` | `getInstance(java.lang.Object constantToReturn)` Factory method that performs validation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NULL_INSTANCE

    public static final Factory NULL_INSTANCE

  Returns null each time

Constructor Detail

### ConstantFactory

    public ConstantFactory(java.lang.Object constantToReturn)

  Constructor that performs no validation. Use `getInstance` if you want that.

  Parameters:
    `constantToReturn` - the constant to return each time

Method Detail

### getInstance

    public static Factory getInstance(java.lang.Object constantToReturn)

  Factory method that performs validation.

  Parameters:
    `constantToReturn` - the constant object to return each time in the factory
  Returns:
    the `constant` factory.

### create

    public java.lang.Object create()

  Always return constant.

  Specified by:
    `create` in interface `Factory`
  Returns:
    the stored constant value

### getConstant

    public java.lang.Object getConstant()

  Gets the constant.

  Returns:
    the constant
  Since:
    Commons Collections 3.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.